Skip to content

api_v2_snapshots_create

POST
/api/v2/snapshots/
curl --request POST \
--url https://example.com/api/v2/snapshots/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "vm_code": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example" }'

Create a new VM snapshot (account-wide v2 API).

object
vm_code
required
string format: uuid
description
required
string
>= 1 characters

Example generated

{
"vm_code": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"description": "example"
}
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
object
key
additional properties
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"data": {
"additionalProperty": "example"
},
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
}
}
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
}
}